## Xalan-C++ API Documentation

### The Xalan C++ XSLT Processor Version 1.10

Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# XalanQNameByReference Class Reference

`#include <XalanQNameByReference.hpp>`

Inheritance diagram for XalanQNameByReference:

[legend]
Collaboration diagram for XalanQNameByReference:

[legend]
List of all members.

## Public Methods

- XalanQNameByReference ()
    Construct an empty XalanQNameByReference. More...
- XalanQNameByReference (const XalanDOMString &theNamespace, const XalanDOMString &theLocalPart)
    Construct a XalanQNameByReference, with the supplied namespace and local part. More...
- XalanQNameByReference (const XalanDOMString &theLocalPart)
    Construct a XalanQNameByReference, with the supplied local part. More...
- XalanQNameByReference (const XalanQName &theQName)
    Construct a XalanQNameByReference, from the supplied XalanQName. More...
- virtual ~XalanQNameByReference ()
- virtual const XalanDOMString& getLocalPart () const
    Retrieve the local part of qualified name. More...
- void setLocalPart (const XalanDOMString &theLocalPart)
    Set the local part of qualified name. More...
- virtual const XalanDOMString& getNamespace () const
    Retrieve the namespace of qualified name. More...
- void setNamespace (const XalanDOMString &theNamespace)
    Set the Namespace URI of qualified name. More...
- void clear ()
    Clear the instance. More...

## Constructor & Destructor Documentation

XalanQNameByReference::XalanQNameByReference ( | )`[explicit]`

| Construct an empty XalanQNameByReference.

XalanQNameByReference::XalanQNameByReference ( | const XalanDOMString & theNamespace,
| const XalanDOMString & theLocalPart )

Construct a XalanQNameByReference, with the supplied namespace and local part.

The instance keeps only a _reference_ to the string, to avoid making a copy.

Parameters:

  theNamespace | namespace string
  theLocalPart | local part string

XalanQNameByReference::XalanQNameByReference ( | const XalanDOMString & theLocalPart )

Construct a XalanQNameByReference, with the supplied local part.

The instance keeps only a _reference_ to the string, to avoid making a copy.

Parameters:

  theLocalPart | local part string

XalanQNameByReference::XalanQNameByReference ( | const XalanQName & theQName )

Construct a XalanQNameByReference, from the supplied XalanQName.

The instance keeps only a _reference_ to the string, to avoid making a copy.

Parameters:

  theQName | The source QName

XalanQNameByReference::~XalanQNameByReference ( | )`[virtual]`

## Member Function Documentation

void XalanQNameByReference::clear ( | )

| Clear the instance.

const XalanDOMString & XalanQNameByReference::getLocalPart ( | ) const`[virtual]`

Retrieve the local part of qualified name.

Returns:
  local part string

Reimplemented from XalanQName.

const XalanDOMString & XalanQNameByReference::getNamespace ( | ) const`[virtual]`

Retrieve the namespace of qualified name.

Returns:
  namespace string

Reimplemented from XalanQName.

void XalanQNameByReference::setLocalPart ( | const XalanDOMString & theLocalPart )

Set the local part of qualified name.

Parameters:

  theLocalPart | local part string

void XalanQNameByReference::setNamespace ( | const XalanDOMString & theNamespace )

Set the Namespace URI of qualified name.

Parameters:

  theLocalPart | local part string

The documentation for this class was generated from the following file:

- XalanQNameByReference.hpp

Interpreting class diagrams

Doxygen and GraphViz are used to generate this API documentation from the Xalan-C header files.

Xalan-C++ XSLT Processor Version 1.10 Copyright © 1999-2004 The Apache Software Foundation. All Rights Reserved.